Description

History

#1 - 12/09/2013 02:54 PM - ben leinfelder

- Assignee set to Lauren Walker

This is in the getPackage() method in:
https://code.ecoinformatics.org/code/metacat/trunk/src/edu/ucsb/nceas/metacat/dataone/MNodeService.java

#2 - 12/13/2013 03:43 PM - Lauren Walker

- Status changed from New to Resolved

#3 - 12/13/2013 03:52 PM - Lauren Walker
The file naming methodology is now pid+object format type (RESOURCE, DATA, METADATA). | removed the randomly generated number from the
end of the file names by creating a new File in the temp directory instead of using createTempFile. A downloaded package may now look like:

doi_10_5063 1
- data
- doi_10_5063_1-METADATA.xml

#4 - 12/13/2013 04:06 PM - ben leinfelder

- Status changed from Resolved to In Progress

Hey Lauren, was thinking about this temp directory - | think there's still some room for collision if two processes end up getting the same timestamp.
Did you look at this approach? http://stackoverflow.com/questions/617414/create-a-temporary-directory-in-java

#5 - 12/13/2013 04:45 PM - Lauren Walker

Two things to edit here:

- Add the file name from the EML to the Baglt file name instead of object format type. Look up old metacat ids in the EML and use the
IdentityManager class to look up the DataONE id for that metacat docid in order to get an exact match with the pid in the ORE package. Keep the
object format type as a fallback if a file name cannot be found

- Create a catch for identical temp file directories

#6 - 12/17/2013 09:43 AM - Lauren Walker

- Status changed from In Progress to Resolved
